CT(3)

NAME
CT - Returns the type information for a variable

SYNOPSIS

C/C++:

CT(<type> variable);

DESCRIPTION

The CT macro returns the runtime type information string of a variable. This is useful in constructing the type parameter of the TAU_PROFILE macro. For templates, the type information can be constructed using the type of the return and the type of each of the arguments (parameters) of the template. The example in the following macro will clarify this.

EXAMPLE

C/C++ :

TAU_PROFILE("foo::memberfunc()", CT(*this), TAU_DEFAULT);

SEE ALSO

TAU_PROFILE, TAU_PROFILE_TIMER(3), TAU_TYPE_STRING(3)